<?php

namespace Shm\ShmRPC\ShmRPCCodeGen\CodeGenPhp;

class TypeToPhp
{

    public static function convert(string $type): string
    {

        switch ($type) {

            case 'int':
                return 'int';
            case 'string':
                return 'string';
            case 'bool':
                return 'bool';
            case 'array':
                return 'array';
            case 'object':
                return 'object';
            case 'float':
                return 'float';
            case 'double':
                return 'double';
            case 'mixed':
                return 'mixed';
            case 'null':
                return 'null';
            case 'ID':
                return 'string';

            case 'IDs':
                return 'array';

            case 'password':
                return 'string';
            case 'email':
                return 'string';

            case 'enums':
                return 'array';
            case 'phone':
                return 'int';
            case 'url':
                return 'string';
        }
        return 'No' . $type;
    }
}